POST /whatsapp/numbers

Buy phoneNumber and connect it to the WABA of accountId (a connected WhatsApp account; its token is used): purchase (billing event number.purchase), POST /{waba}/phone_numbers, voice code request (SMS after WHATSAPP_OTP_VOICE_TIMEOUT_MIN), code captured from the carrier call, verify, register, new WhatsApp account (phone_number.provisioned). 403 number_limit_reached beyond the per-organization limit

POST
/whatsapp/numbers

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
phoneNumber*string

E.164, from /whatsapp/numbers/available

accountId*string

Connected WhatsApp account

verifiedName*string

WhatsApp display name

country?string
Value in"US""CA"

Response Body

{number}

application/json
  1. response
number?
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/numbers' \  -H 'Content-Type: application/json' \  -d '{  "phoneNumber": "string",  "accountId": "string",  "verifiedName": "string"}'
Example Response
{  "number": {    "id": "string",    "provider": "telnyx",    "phoneNumber": "string",    "countryCode": "string",    "verifiedName": "string",    "status": "purchasing",    "wabaId": "string",    "phoneNumberId": "string",    "accountId": "string",    "sourceAccountId": "string",    "codeMethod": "VOICE",    "codeRequestedAt": "2019-08-24T14:15:22Z",    "codeAttempts": 0,    "priceCents": 0,    "currency": "string",    "activatedAt": "2019-08-24T14:15:22Z",    "lastProductionMessageAt": "2019-08-24T14:15:22Z",    "releaseWarnedAt": "2019-08-24T14:15:22Z",    "releaseAt": "2019-08-24T14:15:22Z",    "releasedAt": "2019-08-24T14:15:22Z",    "error": "string",    "nextActionAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "lastCode": {      "code": "string",      "capturedAt": "string",      "expiresAt": "string"    }  }}